Bug Hunting Session
Bug 100698 - Draw Object Styles Should Include a Size Option
Summary: Draw Object Styles Should Include a Size Option
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Draw-UX
  Show dependency treegraph
 
Reported: 2016-06-30 15:00 UTC by MarjaE
Modified: 2019-02-25 12:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MarjaE 2016-06-30 15:00:22 UTC
A couple months ago, I had to redo a drawing to correct the sizes of a series of hundreds of boxes in the drawing. It can be hard to do that by hand. It could be helpful to be able to do that automatically, possibly using styles.

Something similar to the "position and size" window, but without position, might work.

Something independent of color styles might work better than something linked to color styles, so that if there are 2 box sizes, and 12 colors, they would require 14 instead of 24 styles.
Comment 1 Heiko Tietze 2016-07-03 17:37:52 UTC
Styles are not a good solution for your issue, in my opinion, because it reduces the applicability of styles. But some kind of batch manipulation for multiple objects sounds like a reasonable enhancement to me.
Comment 2 MarjaE 2016-07-05 16:16:05 UTC
Well, whenever I point to places where batch editing such as search-and-replace would be useful, some other users suggest styles would be more useful.

And they have a point.

I often need to change color, size, or other characteristics of of objects in hundreds of different groups. It's hard to select similar objects in many different groups. It'd be easier to add styles, even after the fact.
Comment 3 Heiko Tietze 2016-07-05 20:00:30 UTC
If you have applied a style you do not need to batch apply any property because you change the style. But not for position and size.
Comment 4 Regina Henschel 2016-07-05 21:08:08 UTC
The size of an object is stored in a svg:width and svg:height attribute or determined by a draw:transform attribute. Both are attributes of draw:??? objects and cannot be part of a style. The only exception is a svg:width attribute as default size for _new_ frame.

But I agree, that an UI feature to find and select all object, having the same style, would be useful. Such feature already exists in the Find&Replace dialog of Writer. In addition the search for an attribute would be useful too. So that you can search for those objects, which have a shadow set for example and then do something with these selected objects.
Comment 5 Heiko Tietze 2019-02-25 12:15:44 UTC
(In reply to Regina Henschel from comment #4)
> But I agree, that an UI feature to find and select all object, having the
> same style, would be useful. 

There are bug 92584 and bug 92608 to find objects by properties. I disagree with the need to _find_ those objects and it wouldn't be a solution for a selection. But anyway, this request to include size and position into styles is a WF.